import { registerLoopBodyNode } from './loop'
import { registerStopLoopNode } from './stopLoop'
import { registerSwitch } from './switch'
import { registerSubEndNode } from './subEnd'
import { registerSubStartNode } from './subStart'
import { registerSleepNode } from './sleep'
import { registerHttpNode } from './httpNode'

export const registerFunction = (lf) => {
    registerLoopBodyNode(lf)
    registerStopLoopNode(lf)
    registerSwitch(lf)
    registerSubEndNode(lf)
    registerSubStartNode(lf)
    registerSleepNode(lf)
    registerHttpNode(lf)
}